Public Class frmRendimientoTablas
    Private Rendimiento As New Rendimientos
    Private Operaciones As New Operaciones

    Private Sub DataGridView2_CellContentClick(sender As Object, e As DataGridViewCellEventArgs) Handles dgvPortafolioEmpresa.CellContentClick

    End Sub

    Private Sub frmRendimientoPrincipal_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        CargarEmpresa()
        CargarInstrumento()
        DefinirTablaEmpresaInstrumento()
        OcultarColumnas()
    End Sub


    Sub CargarEmpresa()
        Dim dt As New DataTable
        Dim Tipo As String = "Empresa"
        dt = Rendimiento.CargarPortafolioGeneral(Tipo)


        For Each rows As DataRow In dt.Rows
            If Not (rows("Rendimiento")) Is Nothing Then
                rows("Rendimiento") = (rows("Rendimiento") * 100).ToString + " %"
            End If

            If Not (rows("Peso")) Is Nothing Then
                rows("Peso") = (rows("Peso") * 100).ToString + " %"
            End If
        Next


        dgvPortafolioEmpresa.DataSource = dt
    End Sub
    Sub CargarInstrumento()
        Dim dt As New DataTable
        Dim Tipo As String = "Instrumento"
        dt = Rendimiento.CargarPortafolioGeneral(Tipo)


        For Each rows As DataRow In dt.Rows
            If Not (rows("Rendimiento")) Is Nothing Then
                rows("Rendimiento") = (rows("Rendimiento") * 100).ToString + " %"
            End If

            If Not (rows("Peso")) Is Nothing Then
                rows("Peso") = (rows("Peso") * 100).ToString + " %"
            End If
        Next

        dgvPortafolioInstrumento.DataSource = dt
    End Sub
    Sub CargarDescEmpresa()
        Dim dt As New DataTable
        Dim Tipo As String = "DescEmpresa"
        dt = Rendimiento.CargarPortafolioGeneral(Tipo)
        dgvPortafolioEmpresaInstrumento.DataSource = Nothing

        For Each rows As DataRow In dt.Rows
            If Not (rows("Rendimiento") Is Nothing) Then
                rows("Rendimiento") = (rows("Rendimiento") * 100).ToString + " %"
            End If

            If Not (rows("Peso")) Is Nothing Then
                rows("Peso") = (rows("Peso") * 100).ToString + " %"
            End If

            If Not (rows("RendimientoPromedio")) Is Nothing Then
                rows("RendimientoPromedio") = (rows("RendimientoPromedio") * 100).ToString + " %"
            End If
        Next


        dgvPortafolioEmpresaInstrumento.DataSource = dt
    End Sub

    Sub CargarDescInstrumento()
        Dim dt As New DataTable
        Dim Tipo As String = "DescInstrumento"
        dt = Rendimiento.CargarPortafolioGeneral(Tipo)
        dgvPortafolioEmpresaInstrumento.DataSource = Nothing
        For Each rows As DataRow In dt.Rows
            If Not (rows("Rendimiento") Is Nothing) Then
                rows("Rendimiento") = (rows("Rendimiento") * 100).ToString + " %"
            End If

            If Not (rows("Peso")) Is Nothing Then
                rows("Peso") = (rows("Peso") * 100).ToString + " %"
            End If

            If Not (rows("RendimientoPromedio")) Is Nothing Then
                rows("RendimientoPromedio") = (rows("RendimientoPromedio") * 100).ToString + " %"
            End If
        Next
        dgvPortafolioEmpresaInstrumento.DataSource = dt
    End Sub



    Sub DefinirTablaEmpresaInstrumento()
        If rdbEmpresas.Checked Then
            CargarDescEmpresa()
        Else
            CargarDescInstrumento()

        End If
        OcultarColumnas()
    End Sub

    Sub OcultarColumnas()
        If Not dgvPortafolioEmpresa.Columns("MontoTotal") Is Nothing Then
            dgvPortafolioEmpresa.Columns("MontoTotal").Visible = False
        End If
        If Not dgvPortafolioEmpresa.Columns("Cantidad") Is Nothing Then
            dgvPortafolioEmpresa.Columns("Cantidad").Visible = False
        End If
        If Not dgvPortafolioEmpresa.Columns("CodigoEmpresa") Is Nothing Then
            dgvPortafolioEmpresa.Columns("CodigoEmpresa").Visible = False
        End If








        If Not dgvPortafolioInstrumento.Columns("MontoTotal") Is Nothing Then
            dgvPortafolioInstrumento.Columns("MontoTotal").Visible = False
        End If
        If Not dgvPortafolioInstrumento.Columns("Cantidad") Is Nothing Then
            dgvPortafolioInstrumento.Columns("Cantidad").Visible = False
        End If
        If Not dgvPortafolioInstrumento.Columns("CodigoInstrumento") Is Nothing Then
            dgvPortafolioInstrumento.Columns("CodigoInstrumento").Visible = False
        End If










        If Not dgvPortafolioEmpresaInstrumento.Columns("MontoTotal") Is Nothing Then
            dgvPortafolioEmpresaInstrumento.Columns("MontoTotal").Visible = False
        End If
        If Not dgvPortafolioEmpresaInstrumento.Columns("CodigoEmpresaTotal") Is Nothing Then
            dgvPortafolioEmpresaInstrumento.Columns("CodigoEmpresaTotal").Visible = False
        End If
        If Not dgvPortafolioEmpresaInstrumento.Columns("CodigoInstrumentoTotal") Is Nothing Then
            dgvPortafolioEmpresaInstrumento.Columns("CodigoInstrumentoTotal").Visible = False
        End If
        If Not dgvPortafolioEmpresaInstrumento.Columns("RendimientoTotal") Is Nothing Then
            dgvPortafolioEmpresaInstrumento.Columns("RendimientoTotal").Visible = False
        End If
        If Not dgvPortafolioEmpresaInstrumento.Columns("Cantidad") Is Nothing Then
            dgvPortafolioEmpresaInstrumento.Columns("Cantidad").Visible = False
        End If
        If Not dgvPortafolioEmpresaInstrumento.Columns("CodigoEmpresa") Is Nothing Then
            dgvPortafolioEmpresaInstrumento.Columns("CodigoEmpresa").Visible = False
        End If
        If Not dgvPortafolioEmpresaInstrumento.Columns("CodigoInstrumento") Is Nothing Then
            dgvPortafolioEmpresaInstrumento.Columns("CodigoInstrumento").Visible = False
        End If


    End Sub

    Private Sub rdbEmpresas_CheckedChanged(sender As Object, e As EventArgs) Handles rdbEmpresas.CheckedChanged
        DefinirTablaEmpresaInstrumento()
    End Sub

    Private Sub rdbInstrumentos_CheckedChanged(sender As Object, e As EventArgs) Handles rdbInstrumentos.CheckedChanged
        DefinirTablaEmpresaInstrumento()
    End Sub

    Private Sub btnPortafolioEmpresa_Click(sender As Object, e As EventArgs) Handles btnPortafolioEmpresa.Click
        CargarDetalles("Empresa")
    End Sub

    Sub CargarDetalles(ByRef Tipo As String)
        Dim frmDetalles As New frmDetallesPortafolioGeneralRendimiento(Tipo)
        frmDetalles.Show()

    End Sub





    Private Sub btnTitulos_Click(sender As Object, e As EventArgs) Handles btnTitulos.Click
        CargarDetalles("Instrumento")
    End Sub

    Private Sub btnEmpresaTitulo_Click(sender As Object, e As EventArgs) Handles btnEmpresaTitulo.Click


        If rdbEmpresas.Checked Then
            CargarDetalles("DescEmpresa")
        Else
            CargarDetalles("DescInstrumento")
        End If

    End Sub
End Class